<table class="table-list" data-admin--thesis--list--search-target="listTable">
    <thead class="table-list__head">
    <tr>
        <td class="table-list__col-check"><input type="checkbox" data-action="click->admin--thesis--list--base#markAll"/></td>
        <td>Title</td>
        <td class="table-list__col-type">Type</td>
        <td class="table-list__col-status">Status</td>
    </tr>
    </thead>
    <tbody
            data-admin--thesis--list--search-target="listBody"
            data-admin--thesis--list--base-target="listBody"
    >
    {% for thesisItem in docs %}
        <tr class="table-list__row" data-id="{{ thesisItem.id }}">
            <td class="table-list__col-check"><input type="checkbox"/></td>
            <td class="table-list__col-title"><a href="{{ path('app_admin_thesis_content', {'id': thesisItem.id}) }}">{{ thesisItem.title }}</a></td>
            <td class="table-list__col-type">{{ thesisItem.type }}</td>
            <td class="table-list__col-status btn-status">
            <span class="{% if thesisItem.show == true %} published {% else %} progress {% endif %}"
                  data-action="click->admin--thesis--list--base#updateStatus"
                  data-admin--thesis--list--base-url-update-status-param="{{ path('app_admin_list_all_update_status') }}"
            >
                {% if thesisItem.show == true %}
                    <i class="fa-solid fa-check btn-status__icon"></i> Published
                {% else %}
                    <i class="fa-solid fa-circle-pause btn-status__icon"></i> Progress
                {% endif %}
                </span>
            </td>
        </tr>
    {% endfor %}
    </tbody>
</table>